.captcha-area {
    display: flex;
    height: 50px;
    align-items: center;
    justify-content: space-between;
}

.captcha-area .captcha-img {
    height: 100%;
    width: 170px;
    user-select: none;
    background: #000;
    border-radius: 5px;
    position: relative;
}

.captcha-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
    opacity: 0.95;
}

.captcha-img .captcha {
    position: absolute;
    left: 50%;
    top: 50%;
    width: 100%;
    color: rgb(209, 40, 40);
    font-size: 20px;
    text-align: center;
    letter-spacing: 4px;
    transform: translate(-50%, -50%);
    text-shadow: 0px 0px 2px #b1b1b1;
    font-family: "Noto Serif", serif;
}

.captcha-area button {
    outline: none;
    border: none;
    color: #fff;
    cursor: pointer;
    background: #4db2ec;
    border-radius: 5px;
    transition: all 0.3s ease;
}

.captcha-area button:hover {
    background: #2fa5e9;
}

.captcha-area .reload-btn {
    width: 75px;
    height: 100%;
    font-size: 25px;
}

.captcha-area .reload-btn i {
    transition: transform 0.3s ease;
}

.captcha-area .reload-btn:hover i {
    transform: rotate(15deg);
}

.input-area {
    height: 40px;
    width: 100%;
    position: relative;
}

.input-area .input-captcha {
    width: 100%;
    height: 100%;
    outline: none;
    font-size: 15px;
    border-radius: 5px;
    padding-left: 15px;
    border: 1px solid #bfbfbf;
}

.input-area .input-captcha:is(:focus, :valid) {
    /* padding-left: 19px; */
    border: 2px solid #4db2ec;
}

.input-area .input-captcha::placeholder {
    color: #bfbfbf;
}

.input-area .check-btn {
    position: absolute;
    right: 7px;
    top: 50%;
    font-size: 13px;
    outline: none;
    border: none;
    /* height: 45px; */
    padding: 2px 5px;
    opacity: 0;
    pointer-events: none;
    transform: translateY(-50%);
    background-color: #4db2ec;
    border-radius: 3px;
    color: #fff;
}

.input-area input:valid + .check-btn {
    opacity: 1;
    pointer-events: auto;
}
